GGKP Knowledge Brokerage API
Home
What is GGKP?
Home
What is GGKP?
  1. Search
  • Overview
  • Use Cases
  • Security
  • FAQ
  • Taxonomy
    • Retrieve Master Taxonomy
      GET
    • Retrieve Taxonomy by Term ID
      GET
    • Retrieve Domain-Specific Taxonomy
      GET
  • Search
    • Federated Search
      POST
    • Semantic Search
      POST
    • List Connected Sources
      GET
    • Register New Source
      POST
    • Upload Knowledge Products
      POST
    • List Products by Source
      GET
    • Delete Products
      DELETE
  • Classifier
    • Classify PDF Document
      POST
    • Generate Body and Summary
      POST
  • Bots
    • Generic Bot
      POST
  1. Search

List Products by Source

GET
https://api.ggkp.org/search-federator/products/{source_id}
Search
Retrieves all knowledge products for a specific source. Requires the 'List Products' permission.

Request

Authorization
API Key
Add parameter in header
api-key
Example:
api-key: ********************
or
Path Params

Header Params

Responses

🟢200
application/json
List of products
Body

🟠401
🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.ggkp.org/search-federator/products/src_123' \
--header 'api-key: <api-key>'
Response Response Example
{
    "status": "string",
    "products": [
        {
            "title": "string",
            "description": "string",
            "url": "http://example.com",
            "content_type": "string",
            "publication_date": "2019-08-24",
            "authors": [
                "string"
            ],
            "tags": [
                "string"
            ]
        }
    ],
    "total": 0
}
Previous
Upload Knowledge Products
Next
Delete Products
Built with